=== debian/changelog ===
spirv-llvm-translator-18 (18.1.0-1build2) noble; urgency=medium

  * No-change rebuild against correct libllvm18 soname.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 13 Apr 2024 10:14:03 +0200

spirv-llvm-translator-18 (18.1.0-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:50:41 +1100

spirv-llvm-translator-18 (18.1.0-1) unstable; urgency=medium

  * New upstream release.  (Closes: #1066095)
  * Rename libllvmspirvlib18 to libllvmspirvlib18.1 after soname bump.
  * Skip upstream testsuite on big-endian architectures (> 60% of the tests
    are failing anyway but ignored) due to excessive disk space usage
    (> 40 GB).  (Closes: #1065395)
  * Update from llvm_release_180 branch (v18.1.0-1-g16b29007).
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 16 Mar 2024 22:07:06 +0100

spirv-llvm-translator-18 (18.~~+git20240215-1) experimental; urgency=medium

  * New upstream snapshot.
  * Fork source package as spirv-llvm-translator-18.
  * Rename binary packages: *17* => *18*.
  * Build with llvm 18.
  * Update visibility-hidden.patch.
  * Update .symbols control file.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 22 Feb 2024 01:16:58 +0100

spirv-llvm-translator-17 (17.0.0-5) unstable; urgency=medium

  * Skip upstream testsuite on big-endian architectures (> 60% of the tests
    are failing anyway but ignored) due to excessive disk space usage
    (> 40 GB).  (Closes: #1065395)
  * Update from llvm_release_170 branch (v17.0.0-12-ga126a792).

 -- Andreas Beckmann <anbe@debian.org>  Sat, 16 Mar 2024 05:07:59 +0100

spirv-llvm-translator-17 (17.0.0-4) unstable; urgency=medium

  * Restrict watch file to 17.* releases.
  * Update .symbols control file.
  * Add build-needed autopkgtest for spirv-headers compat check.
  * Update from llvm_release_170 branch (v17.0.0-5-g905441d7).
    (Closes: #1063632)
  * Bump spirv-headers dependency to 1.6.1+1.3.275.0.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 10 Feb 2024 10:17:54 +0100

spirv-llvm-translator-17 (17.0.0-3) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Mark some new symbols as optional as they don't appear with LTO.
    (Closes: #1055378)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 07 Nov 2023 09:53:24 +0100

spirv-llvm-translator-17 (17.0.0-2) unstable; urgency=medium

  * Update .symbols control file.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 04 Nov 2023 16:05:21 +0100

spirv-llvm-translator-17 (17.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump spirv-headers build-dependency to 1.6.1+1.3.261.
  * Fork source package as spirv-llvm-translator-17.
  * Rename binary packages: *16* => *17*.
  * Build with llvm 17.
  * Update .symbols control file.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 12 Oct 2023 16:29:16 +0200

spirv-llvm-translator-16 (16.0.0-7) unstable; urgency=medium

  * Skip upstream testsuite on big-endian architectures (> 60% of the tests
    are failing anyway but ignored) due to excessive disk space usage
    (> 40 GB).  (Closes: #1065395)
  * Update from llvm_release_160 branch (v16.0.0-37-g9c9b6096).
  * Update .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 15 Mar 2024 20:14:04 +0100

spirv-llvm-translator-16 (16.0.0-6) unstable; urgency=medium

  * Add build-needed autopkgtest for spirv-headers compat check.
  * Update from llvm_release_160 branch (v16.0.0-30-g6fd1d4b8).
  * Bump spirv-headers dependency to 1.6.1+1.3.275.0.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 09 Feb 2024 14:42:13 +0100

spirv-llvm-translator-16 (16.0.0-5) unstable; urgency=medium

  * Restrict watch file to 16.* releases.
  * Update .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 29 Sep 2023 14:21:37 +0200

spirv-llvm-translator-16 (16.0.0-4) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Mark more symbols as optional as they don't appear with LTO.
    (Closes: #1043047)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 05 Aug 2023 12:20:42 +0200

spirv-llvm-translator-16 (16.0.0-3) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Update .symbols control file for gcc-13 builds.  (Closes: #1042192)

  [ Gianfranco Costamagna ]
  * Mark some more symbols as optional as they don't appear on Ubuntu (LTO?).
    (Closes: #1042819)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 04 Aug 2023 12:09:10 +0200

spirv-llvm-translator-16 (16.0.0-2) unstable; urgency=medium

  * Update from llvm_release_160 branch (v16.0.0-6-g39969a5c).
  * Upload to unstable.  (Closes: #1037466)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 15 Jun 2023 14:01:00 +0200

spirv-llvm-translator-16 (16.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump spirv-headers build-dependency to 1.6.1+1.3.243.
  * Fork source package as spirv-llvm-translator-16.
  * Rename binary packages: *15* => *16*.
  * Build with llvm 16.
  * Update .symbols control file.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 20 Apr 2023 18:57:02 +0200

spirv-llvm-translator-15 (15.0.0-7) unstable; urgency=medium

  * Skip upstream testsuite on big-endian architectures (> 60% of the tests
    are failing anyway but ignored) due to excessive disk space usage
    (> 40 GB).  (Closes: #1065395)
  * Update from llvm_release_150 branch (v15.0.0-85-gda050541).
  * Disable two commits causing test failures.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 14 Mar 2024 20:01:08 +0100

spirv-llvm-translator-15 (15.0.0-6) unstable; urgency=medium

  * Add build-needed autopkgtest for spirv-headers compat check.
  * Update from llvm_release_150 branch (v15.0.0-79-gc1f08b41).
  * Bump spirv-headers dependency to 1.6.1+1.3.275.0.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 08 Feb 2024 22:48:18 +0100

spirv-llvm-translator-15 (15.0.0-5) unstable; urgency=medium


