=== debian/changelog ===
spirv-llvm-translator-18 (18.1.1-1build1) oracular; urgency=medium

  * No-change rebuild against libllvm18.

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Jul 2024 19:50:55 +0100

spirv-llvm-translator-18 (18.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 23 Jun 2024 23:17:36 +0200

spirv-llvm-translator-17 (17.0.1-1) unstable; urgency=medium

  * New upstream release.  (Closes: #1073402)
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 19 Jun 2024 22:15:40 +0200

spirv-llvm-translator-16 (16.0.1-1) unstable; urgency=medium

  * New upstream release.  (Closes: #1073405)
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 19 Jun 2024 11:54:43 +0200

spirv-llvm-translator-15 (15.0.1-1) unstable; urgency=medium

  * New upstream release.  (Closes: #1073426)
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 18 Jun 2024 14:51:41 +0200

spirv-llvm-translator-14 (14.0.1-2) unstable; urgency=medium

  * Update .symbols control file.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 17 Jun 2024 15:41:43 +0200

spirv-llvm-translator-14 (14.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Update .symbols control file.
  * Bump Standards-Version to 4.7.0, no changes needed.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 14 Jun 2024 11:31:37 +0200
