## spirv-llvm-translator-18 18.1.4

=== debian/changelog ===
spirv-llvm-translator-18 (18.1.4-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-17 17.0.4-1.
  * Update .symbols control file.
  * Restrict watch file to 18.* releases.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 14 Sep 2024 00:22:52 +0200

spirv-llvm-translator-17 (17.0.4-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-16 16.0.4-1.
  * Update .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 12 Sep 2024 21:25:22 +0200

spirv-llvm-translator-16 (16.0.4-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-15 15.0.4-2.
  * Update .symbols control file.
  * Update copyright file.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 11 Sep 2024 10:49:59 +0200

spirv-llvm-translator-15 (15.0.4-2) unstable; urgency=medium

  * Merge changes from spirv-llvm-translator-14 14.0.4-2.
  * Update .symbols control file.
  * Update copyright file.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 10 Sep 2024 09:43:06 +0200

spirv-llvm-translator-15 (15.0.4-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-14 14.0.4-1.
  * Update .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 07 Sep 2024 20:57:52 +0200

spirv-llvm-translator-15 (15.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-14 14.0.3-2.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 29 Aug 2024 09:54:22 +0200

spirv-llvm-translator-14 (14.0.4-2) unstable; urgency=medium

  * Update .symbols control file.
  * Update copyright file.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 09 Sep 2024 21:29:45 +0200

spirv-llvm-translator-14 (14.0.4-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 07 Sep 2024 02:55:08 +0200

spirv-llvm-translator-14 (14.0.3-2) unstable; urgency=medium

  * Update .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 22 Aug 2024 18:07:54 +0200

spirv-llvm-translator-14 (14.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Update .symbols control file for gcc-14 builds.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 22 Aug 2024 12:08:12 +0200
