=== debian/control ===
--- 
+++ 
@@ -40,7 +40,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libllvmspirvlib18.1 (= ${binary:Version}),
+ libllvmspirvlib${llvm:major}.1 (= ${binary:Version}),
  ${misc:Depends}
 Conflicts:
  libllvmspirvlib-x.y-dev,
@@ -61,7 +61,7 @@
 Package: llvm-spirv-18
 Architecture: any
 Depends:
- libllvmspirvlib18.1 (= ${binary:Version}),
+ libllvmspirvlib${llvm:major}.1 (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends}
 Description: bi-directional translator for LLVM/SPIRV
@@ -69,4 +69,4 @@
  package includes a library and a tool for translation between LLVM IR
  and SPIR-V.
  .
- This package includes the llvm-spirv-18 binary.
+ This package includes the llvm-spirv-${llvm:major} binary.
