=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: debhelper-compat (= 13),
  dh-sequence-pkgkde-symbolshelper,
  cmake,
- gcc (>= 4:14),
+ gcc (>= 4:13),
  pkgconf,
  spirv-headers (>= 1.6.1+1.3.275.0),
  spirv-tools,
@@ -40,7 +40,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libllvmspirvlib${llvm:major}.1 (= ${binary:Version}),
+ libllvmspirvlib${llvm:soversion} (= ${binary:Version}),
  ${misc:Depends}
 Conflicts:
  libllvmspirvlib-x.y-dev,
@@ -61,7 +61,7 @@
 Package: llvm-spirv-18
 Architecture: any
 Depends:
- libllvmspirvlib${llvm:major}.1 (= ${binary:Version}),
+ libllvmspirvlib${llvm:soversion} (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends}
 Description: bi-directional translator for LLVM/SPIRV
