## spirv-llvm-translator-18 18.1.10

=== debian/changelog ===
spirv-llvm-translator-18 (18.1.10-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-17 17.0.10-1.
  * Bump spirv-headers dependency to 1.6.1+1.4.309.0.
  * Bump Standards-Version to 4.7.2, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 22 Mar 2025 21:01:36 +0100

spirv-llvm-translator-17 (17.0.10-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-16 16.0.10-1.
  * Bump spirv-headers dependency to 1.6.1+1.4.309.0.
  * Bump Standards-Version to 4.7.2, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 22 Mar 2025 03:26:22 +0100

spirv-llvm-translator-16 (16.0.10-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-15 15.0.10-1.
  * Bump spirv-headers dependency to 1.6.1+1.4.309.0.
  * Bump Standards-Version to 4.7.2, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 21 Mar 2025 13:02:08 +0100

spirv-llvm-translator-15 (15.0.10-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-14 14.0.10-1.
  * Bump spirv-headers dependency to 1.6.1+1.4.309.0.
  * Bump Standards-Version to 4.7.2, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 21 Mar 2025 12:48:04 +0100

spirv-llvm-translator-14 (14.0.10-1) unstable; urgency=medium

  * New upstream release.
  * Bump spirv-headers dependency to 1.6.1+1.4.309.0.
  * Bump Standards-Version to 4.7.2, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 19 Mar 2025 09:16:37 +0100
