## spirv-llvm-translator-18 18.1.15

=== debian/changelog ===
spirv-llvm-translator-18 (18.1.15-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-17 17.0.15-1.
  * Bump spirv-headers dependency to 1.6.1+1.4.313.0.
  * Update .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 13 Aug 2025 23:15:55 +0200

spirv-llvm-translator-17 (17.0.15-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-16 16.0.15-1.
  * Bump spirv-headers dependency to 1.6.1+1.4.313.0.
  * Update .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 13 Aug 2025 03:25:13 +0200

spirv-llvm-translator-16 (16.0.15-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-15 15.0.15-1.
  * Bump spirv-headers dependency to 1.6.1+1.4.313.0.
  * Update .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 12 Aug 2025 13:18:32 +0200

spirv-llvm-translator-15 (15.0.15-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-14 14.0.14-1.
  * Bump spirv-headers dependency to 1.6.1+1.4.313.0.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 12 Aug 2025 13:01:04 +0200

spirv-llvm-translator-14 (14.0.14-1) unstable; urgency=medium

  * New upstream release.
  * Bump spirv-headers dependency to 1.6.1+1.4.313.0.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 12 Aug 2025 10:36:48 +0200
