=== debian/rules ===
--- 
+++ 
@@ -44,8 +44,3 @@
 	git remote show $@ >/dev/null 2>&1 || git remote add $@ $(shell sed -rn 's/Repository: //p' debian/upstream/metadata)
 	git fetch $@ --prune
 endif
-
-
-override_dh_makeshlibs:
-	dh_makeshlibs -- -c0
-
