=== debian/changelog ===
spirv-llvm-translator-18 (18.1.16-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-17 17.0.16-1.
  * Bump spirv-headers dependency to 1.6.1+1.4.321.0-2.
  * Update .symbols control file.
  * Build with g++-14.  (Closes: #1097921)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 08 Sep 2025 18:17:20 +0200

spirv-llvm-translator-17 (17.0.16-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-16 16.0.16-1.
  * Bump spirv-headers dependency to 1.6.1+1.4.321.0-2.
  * Update .symbols control file.
  * Build with g++-14.  (Closes: #1097919)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 06 Sep 2025 10:46:57 +0200

spirv-llvm-translator-16 (16.0.16-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-15 15.0.16-1.
  * Bump spirv-headers dependency to 1.6.1+1.4.321.0-2.
  * Update .symbols control file.
  * Build with g++-14.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 04 Sep 2025 11:10:17 +0200

spirv-llvm-translator-15 (15.0.16-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-14 14.0.15-2.
  * Bump spirv-headers dependency to 1.6.1+1.4.321.0-2.
  * Update .symbols control file.
  * Build with g++-14.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 04 Sep 2025 10:43:12 +0200

spirv-llvm-translator-14 (14.0.15-2) unstable; urgency=medium

  * Build with g++-14.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 04 Sep 2025 17:27:18 +0200

spirv-llvm-translator-14 (14.0.15-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 04 Sep 2025 00:33:43 +0200
